[Buildroot] [PATCH 5/6] python-pyasn: requires the zlib Python module

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Tue Sep 30 21:39:00 UTC 2014


The python-pyasn module requires the zlib Python module (part of the
Python standard installation, but optional in Buildroot), otherwise it
fails to load at runtime.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni at free-electrons.com>
---
 package/python-pyasn/Config.in | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/package/python-pyasn/Config.in b/package/python-pyasn/Config.in
index eca53db..efdbbc5 100644
--- a/package/python-pyasn/Config.in
+++ b/package/python-pyasn/Config.in
@@ -2,6 +2,8 @@ config BR2_PACKAGE_PYTHON_PYASN
 	bool "python-pyasn"
 	depends on BR2_PACKAGE_PYTHON || BR2_PACKAGE_PYTHON3
 	depends on BR2_INSTALL_LIBSTDCPP
+	select BR2_PACKAGE_PYTHON3_ZLIB if BR2_PACKAGE_PYTHON3
+	select BR2_PACKAGE_PYTHON_ZLIB if BR2_PACKAGE_PYTHON
 	help
 	  PyASN is a Python extension module that enables you to
 	  perform very fast IP address to Autonomous System Number
-- 
2.0.0



More information about the buildroot mailing list